Changeset 15044 for trunk/abcl/doc


Ignore:
Timestamp:
06/08/17 07:17:56 (13 months ago)
Author:
mevenson
Message:

Render less/greater-than characters correctly
(Olof-Joachim Frahm)

Updates the Makefile to make it the same usable sequence from the
README file.

Fixes one case of wrong rendering in LaTeX due to the #\< and #\>
characters. See
<https://tex.stackexchange.com/questions/2369/why-do-the-less-than-symbol-and-the-greater-than-symbol-appear-wrong-as>
for an explanation.

From
<https://github.com/armedbear/abcl/pull/46/commits/ec33094bd0cc0cd9e680c4c4e5f676ff6c839daa>.

Merges <https://github.com/armedbear/abcl/pull/46>.

Location:
trunk/abcl/doc/manual
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • trunk/abcl/doc/manual/Makefile

    r14304 r15044  
    1515# XXX TODO 1) use more compact iterated form, 2) pare down to using --noinit
    1616grovel:
    17   $(ABCL) --batch --noinform --load "grovel.lisp" \
    18     --eval '(grovel-docstrings-as-tex (find-package :java)' \
    19     --eval  '(grovel-docstrings-as-tex (find-package :extensions))' \
    20   --eval  '(grovel-docstrings-as-tex (find-package :threads))' \
    21   --eval  '(grovel-docstrings-as-tex (find-package :system))' \
    22   --eval '(progn (require :abcl-contrib) (require :jss) (grovel-docstrings-as-tex (find-package :jss)))'
     17  $(ABCL) --batch --noinform \
     18  --eval '(require :abcl-contrib)' \
     19  --eval '(require :jss)' \
     20  --eval '(asdf:load-system :abcl/documentation)' \
     21  --eval '(in-package :abcl/documentation)' \
     22  --eval '(grovel-docstrings-as-tex :package :java)' \
     23  --eval '(grovel-docstrings-as-tex :package :extensions)' \
     24  --eval '(grovel-docstrings-as-tex :package :threads)' \
     25  --eval '(grovel-docstrings-as-tex :package :system)' \
     26  --eval '(grovel-docstrings-as-tex :package :jss)'
    2327
    2428clean:
  • trunk/abcl/doc/manual/abcl.tex

    r15042 r15044  
    22% http://en.wikibooks.org/wiki/LaTeX/
    33\documentclass[10pt]{book}
     4% also need to have cm-super installed for high quality rendering
     5\usepackage[T1]{fontenc}
    46\usepackage{abcl}
    57
Note: See TracChangeset for help on using the changeset viewer.